package edu.dartmouth.cs.databasedemo;

import android.content.Context;
import android.util.Log;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.loader.content.AsyncTaskLoader;

import java.util.List;

import edu.dartmouth.cs.databasedemo.model.Comment;

public class CommentsListLoader extends AsyncTaskLoader<List<Comment>> {

    public static final String TAG = "loader";
    private final CommentsDataSource dataSource;

    public CommentsListLoader(@NonNull Context context) {
        super(context);
        Log.d(TAG, "CommentsListLoader(): Thread ID " + Thread.currentThread().getId());
        dataSource = new CommentsDataSource(context);
        dataSource.open();
    }

    @Override
    protected void onForceLoad() {
        super.onForceLoad();
        Log.d(TAG, "onForceLoad(): Thread ID " + Thread.currentThread().getId());
    }

    @Nullable
    @Override
    public List<Comment> loadInBackground() {
        Log.d(TAG, "loadInBackground(): Thread ID " + Thread.currentThread().getId());
        return dataSource.getAllComments();
    }
}
